- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_HardcodedTask;'
    name: 'Hardcoded Task'
    index: 2994
    inherits: '&IDC_Task;'
    customTagName: 'hardcodedTask'
    superclasses:
    - instance: '&IDC_Task;'
    attributes:
    - instance: '&IDA_Name;' #!FIXME: inherit from class 'inherits' attribute
      customTagName: 'name'
    - instance: '&IDA_ClassName;'
      customTagName: 'className'
    relationships:
    - instance: '&IDR_Task__has__Task_Category;'
      customTagName: 'taskCategory'

  # - hardcodedTask: '&IDI_Task_ViewElementContent;'
  #   name: 'View Element Content'  
  #   className: 'Mocha\\UI\\Tasks\\ViewElementContent'
